Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.dgttrf

scipy.linalg.lapack.dgttrf(dl, d, du[, overwrite_dl, overwrite_d, overwrite_du]) = <fortran function dgttrf>

  Wrapper for `dgttrf`.

  Parameters:
    dl input rank-1 array(‘d’) with bounds (-1 + n)
    d input rank-1 array(‘d’) with bounds (n)
    du input rank-1 array(‘d’) with bounds (-1 + n)
  Returns:
    dl rank-1 array(‘d’) with bounds (-1 + n)
    d rank-1 array(‘d’) with bounds (n)
    du rank-1 array(‘d’) with bounds (-1 + n)
    du2 rank-1 array(‘d’) with bounds (-2 + n)
    ipiv rank-1 array(‘i’) with bounds (n)
    info int
  Other Parameters:
    overwrite_dl input int, optional

      Default: 0

    overwrite_d input int, optional

      Default: 0

    overwrite_du input int, optional

      Default: 0